Bug 249728 - xenbus has use-after-free in drivers/xen/xenbus/xenbus_xs.c
Summary: xenbus has use-after-free in drivers/xen/xenbus/xenbus_xs.c
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel-xen (Show other bugs)
(Show other bugs)
Version: 5.0
Hardware: All Linux
low
low
Target Milestone: ---
: ---
Assignee: Don Dutile
QA Contact: Martin Jenner
URL:
Whiteboard:
Keywords:
Depends On: 249727
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-07-26 18:18 UTC by Don Dutile
Modified: 2008-05-21 14:47 UTC (History)
1 user (show)

Fixed In Version: RHBA-2008-0314
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 14:47:15 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2008:0314 normal SHIPPED_LIVE Updated kernel packages for Red Hat Enterprise Linux 5.2 2008-05-20 18:43:34 UTC

Description Don Dutile 2007-07-26 18:18:41 UTC
+++ This bug was initially created as a clone of Bug #249727 +++

Description of problem:

The Coverity checker spotted the following use-after-free
in drivers/xen/xenbus/xenbus_xs.c:

<--  snip  -->
...
static int process_msg(void)
{
...
               if (IS_ERR(msg->u.watch.vec)) {
                       kfree(msg);
                       err = PTR_ERR(msg->u.watch.vec);
...

<--  snip  -->


Version-Release number of selected component (if applicable): 4.5


How reproducible:
Would need to exhaust system memory to generate a ENOMEM while performing
xenstore access by xenbus driver

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 RHEL Product and Program Management 2007-07-26 18:24:29 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 2 Don Dutile 2007-12-12 21:13:08 UTC
Posted patch that is simple copy/port of:

http://xenbits.xensource.com/xen-3.1-testing.hg?rev/20284e9cd540


Comment 4 Don Zickus 2007-12-21 20:17:23 UTC
in 2.6.18-62.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Comment 7 errata-xmlrpc 2008-05-21 14:47:15 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0314.html



Note You need to log in before you can comment on or make changes to this bug.